package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Elcsca;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface ElcscaMapper {

    int insert(Elcsca record);

    int insertSelective(Elcsca record);

    int updateByPrimaryKeySelective(Elcsca record);

    int updateByPrimaryKey(Elcsca record);

    int deleteByPrimaryKey(Elcsca record);

    int deleteByIds(Collection<Object> collection);

    Elcsca selectByPrimaryKey(Elcsca record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Elcsca> dyncRead(Map<String,Object> dyncMap);

}